{include="header"}

<script type="text/javascript">
   $(document).ready(function() {
      $("#b_nueva_receta").click(function(event) {
         event.preventDefault();
         $("#modal_nueva_receta").modal('show');
         document.f_nueva_receta.ncodreceta.focus();
      });
      $("#ac_referencia").autocomplete({
         serviceUrl: '{$fsc->url()}',
         paramName: 'buscar_referencia',
         onSelect: function (suggestion) {
            if(suggestion)
            {
               if(document.f_nueva_receta.referencia.value != suggestion.data.referencia)
               {
                  document.f_nueva_receta.referencia.value = suggestion.data.referencia;
                  document.f_nueva_receta.ac_referencia.value = suggestion.data.referencia;
               }
            }
         }
      });
   });
</script>

<div class="container">
   <div class="row">
      <div class="col-sm-12">
         <div class="page-header">
            <h1>
               <span class="glyphicon glyphicon-book" aria-hidden="true"></span>
               Producción
               <span class="btn-group">
                  <a class="btn btn-xs btn-default" href="{$fsc->url()}" title="Recargar la página">
                     <span class="glyphicon glyphicon-refresh"></span>
                  </a>
                  {if condition="$fsc->page->is_default()"}
                  <a class="btn btn-xs btn-default active" href="{$fsc->url()}&amp;default_page=FALSE" title="desmarcar como página de inicio">
                     <span class="glyphicon glyphicon-home"></span>
                  </a>
                  {else}
                  <a class="btn btn-xs btn-default" href="{$fsc->url()}&amp;default_page=TRUE" title="marcar como página de inicio">
                     <span class="glyphicon glyphicon-home"></span>
                  </a>
                  {/if}
               </span>
               <span class="btn-group">
                  <a id="b_nueva_receta" class="btn btn-xs btn-success" href="#">
                     <span class="glyphicon glyphicon-plus"></span> &nbsp; Nueva
                  </a>
                  {loop="$fsc->extensions"}
                     {if condition="$value->type=='button'"}
                     <a href="index.php?page={$value->from}{$value->params}" class="btn btn-xs btn-default">{$value->text}</a>
                     {/if}
                  {/loop}
               </span>
            </h1>
            <p class="help-block">
               Crea fácilmente "recetas" para producir nuevos artículos.
               Si quieres producir ahora mismo usando una receta, simplemente
               haz clic en la receta y después en el botón <b>producir</b>.
            </p>
         </div>
      </div>
   </div>
   <div class="row">
      <div class="col-sm-12">
         <div class="table-responsive">
            <table class="table table-hover">
               <thead>
                  <tr>
                     <th class="text-left">Código</th>
                     <th class="text-left">Descripción</th>
                     <th class="text-right">Resultado</th>
                     <th class="text-right">Última producción</th>
                  </tr>
               </thead>
               {loop="$fsc->receta->all()"}
               <tr class="clickableRow" href="{$value->url()}">
                  <td><a href="{$value->url()}">{$value->codreceta}</a></td>
                  <td>{$value->descripcion}</td>
                  <td class="text-right">{$value->cantidad} x {$value->codreceta}</td>
                  <td class="text-right">{$value->ultima_produccion}</td>
               </tr>
               {else}
               <tr class="warning">
                  <td colspan="4">Sin resultados.</td>
               </tr>
               {/loop}
            </table>
         </div>
      </div>
   </div>
</div>

<form class="form" name="f_nueva_receta" action="{$fsc->url()}" method="post">
   <input type="hidden" name="referencia"/>
   <div class="modal" id="modal_nueva_receta">
      <div class="modal-dialog">
         <div class="modal-content">
            <div class="modal-header">
               <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                  <span aria-hidden="true">&times;</span>
               </button>
               <h4 class="modal-title">Nueva receta</h4>
            </div>
            <div class="modal-body">
               <div class="form-group">
                  Código:
                  <input class="form-control" type="text" name="ncodreceta" autocomplete="off" required=""/>
               </div>
               <div class="form-group">
                  Descripción:
                  <input class="form-control" type="text" name="descripcion" autocomplete="off"/>
               </div>
               <div class="form-group">
                  Artículo resultante:
                  <input class="form-control" type="text" name="ac_referencia" id="ac_referencia" maxlength="18" placeholder="referencia" autocomplete="off"/>
               </div>
               <div class="checkbox">
                  <label>
                     <input type="checkbox" name="crear" value="TRUE" checked=""/>
                     Crear el artículo si no existe
                  </label>
               </div>
            </div>
            <div class="modal-footer">
               <button class="btn btn-sm btn-primary" type="submit">
                  <span class="glyphicon glyphicon-floppy-disk"></span> &nbsp; Guardar
               </button>
            </div>
         </div>
      </div>
   </div>
</form>

{include="footer"}